Bug 113617 - r-c-x should automatically add secondary pointer of DevInputMice
r-c-x should automatically add secondary pointer of DevInputMice
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-xfree86 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-15 15:40 EST by Joshua Jensen
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-11 17:11:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2004-01-15 15:40:54 EST
Description of problem:

IMHO, r-c-x should always add this line to the ServerLayout section:

        InputDevice    "DevInputMice" "AlwaysCore"

If a USB mouse is specified as mouse0, it doesn't hurt.
If there isn't a USB mouse attached, it still doesn't cause any harm.

Can you make this the default behavior in the future?


Version-Release number of selected component (if applicable):

All versions of r-c-x, RHEL3 and Fedora
Comment 1 Suzanne Hillman 2004-01-21 15:53:32 EST
Added internal RFE bug #114048. Will consider for future releases.
Comment 2 Suzanne Hillman 2004-04-22 10:24:57 EDT
Thank you for the suggestion. It was passed along to product
management, but not committed for a future release.
Comment 3 Joshua Jensen 2004-04-22 14:20:26 EDT
This is a HORRIBLE answer.  The lack of this feature is something that
will hurt X on RHEL.  Is this problem being solved in other ways?  Is
anaconda going to always add a USB mouse entry, so that r-c-x doesn't
need to do this on its own?  Please provide some overview of this issue.

Do you need a business justification to make your product better? 
Does Red Hat have to be pulled point by point through the "improving
general quality IS a business justification" sieve?

How about this... companies that find this feature in Suse Enterprise
and read this bugzilla entry will be more inclined to switch away from
RHEL.
Comment 4 Brent Fox 2004-04-22 14:50:53 EDT
I believe that the move to the 2.6 kernel will automatically fix this
problem.  With 2.6, both USB and PS/2 mice use /dev/input/mice.  This
allows for having one entry in the XF86Config file that will allow
both kinds of mice to work.  The situation is a little more
complicated with serial mice, but these are not very common any more.

You might want to test with one of the Fedora Core 2 test releases and
see if this problem still exists.  If it's fixed there, it will be
fixed for the next version of RHEL.
Comment 5 Joshua Jensen 2004-04-22 15:32:08 EDT
Ah... the *technical* details we all long for.  Thanks for the
explaination and insite.

Note You need to log in before you can comment on or make changes to this bug.